use crate::socket::HttpResCode;

pub mod chat;
pub mod index;
pub mod ttt;

pub trait App {
    fn socket_name(&self) -> &'static str;
    async fn handle_request<'a>(&'a mut self, path: &str) -> (HttpResCode, &'static str, &'a [u8]);
}
